Bug 840549 - Interface locks up when connecting to a low-bandwith server
Interface locks up when connecting to a low-bandwith server
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 11:01 EDT by Thomas Kent
Modified: 2014-01-31 20:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 20:16:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Kent 2012-07-16 11:01:13 EDT
Description of problem:
When I am running virt-manager (with open VMs and connections to multiple qemu+ssh servers) and try to connect to a server with a relatively low bandwidth connection (again with qemu+ssh://user@server/system) the entire virt-manager interface becomes un-responsive.  This includes the list of connections/machines and other machine windows, settings windows, etc. Once the connection to the low bandwidth server is up and running the interface becomes responsive again. 

Some of the time (if the connection takes extra long to start up) some of the connections to other machines will be disconnected when the UI returns.  

Version-Release number of selected component (if applicable):
0.9.1 (Ubuntu 12.04 default)

How reproducible:
Every time.

Steps to Reproduce:
1. Open one or more connections (e.g. to localhost).
2. Start a connection to a low-bandwidth server.
3. Attempt to interact with the original connection, UI is frozen.
  
Actual results:
UI for the program (including un-related connections) freezes when connecting to a low-bandwidth server

Expected results:
If there isn't enough bandwidth for the server to do its stuff, this should not effect the other connections that are also active or the program's UI. 

Additional info:
I've got a screen-video of this in action, but its not very good. I could only get the (ogg-theora) video to play in totem (not VLC). 
http://teeks99.com/keep/VirtManagerLockup.ogv
Comment 1 Arthur Lutz 2012-08-02 10:55:47 EDT
I have the same problem with 0.9.1-1ubuntu5 on ubuntu 12.04. For me it's when I am going through a VPN (so relativelly low bandwith).

This renders virt-manager unusable. virsh/virt-install/configured VNC work fine in this setup.
Comment 2 Arthur Lutz 2012-08-02 11:11:56 EDT
The problem particulary arises when loading the pool view (when choosing an ISO for example).
Comment 3 Cole Robinson 2014-01-31 20:16:51 EST
Upstream virt-manager is much much better here: the previously split code base between virtinst and virt-manager meant we were duplicating lots of connection polling.

There's still some good opportunities for improvement (like domain event support, which is tracked elsewhere), but current virt-manager is an order of magnitude better, so closing.

Of course, this will never be perfect: virt-manager is always going to require lots of little libvirt operations at various points, which will bog things down with a slow link, but the current upstream is much better than it was when this bug was filed.

Note You need to log in before you can comment on or make changes to this bug.